API Explorer 935 endpoints

Get customer for logged in user

GET /obp/v7.0.0/banks/BANK_ID/customer

OBPv1.4.0-getCustomer No role required CustomerOld-Style

Information about the currently authenticated user.

Authentication via OAuth is required.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (16)
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
date
2020-01-27
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
relationship_status
single
url
http://www.example.com/id-docs/123/image.png
Example success response
{
  "customer_id": "String",
  "customer_number": "5987953",
  "legal_name": "Eveline Tripman",
  "mobile_phone_number": "+44 07972 444 876",
  "email": "felixsmith@example.com",
  "face_image": {
    "url": "www.openbankproject",
    "date": "1100-01-01T00:00:00Z"
  },
  "date_of_birth": "1100-01-01T00:00:00Z",
  "relationship_status": "single",
  "dependants": 1,
  "dob_of_dependants": [
    "1100-01-01T00:00:00Z"
  ],
  "highest_education_attained": "Master",
  "employment_status": "worker",
  "kyc_status": false,
  "last_ok_date": "2025-10-21T01:45:43Z"
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv1.4.0 getCustomer Originally /obp/v1.4.0/banks/BANK_ID/customer